// Copyright (c) 1998 by W3C
//
// DOM is a trademark of W3C
// The DOM level 1 specification, from which this
// source is derived, is copyright by W3C.
// See: http://www.w3.org/TR/REC-DOM-Level-1/
//

package org.w3c.dom.html;

import org.w3c.dom.*;

/**

  <P>An embedded Java applet. See the 
    <A  href="http://www.w3.org/TR/REC-html40/struct/objects.html#edef-APPLET">APPLET element definition</A>
 in HTML 4.0. This element is deprecated in HTML 4.0.
  
</P>

<HR>

<!-- ======== PROPERTY SUMMARY ======== -->

<A NAME="property_summary"><!-- --></A>
<TABLE BORDER=1 CELLPADDING=3 CELLSPACING=0 WIDTH=100%>
<TR BGCOLOR=#CCCCFF ID=TableHeadingColor>
<TD COLSPAN=3><FONT SIZE=+2><B>Property Summary</B>
</FONT></TD></TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-align><CODE>&nbsp;align</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getAlign()'>getAlign</a>
<a href='#setAlign(java.lang.String)'>setAlign</a>
</TD>
<TD>
  <P>Aligns this object (vertically or horizontally) with respect to its surrounding text. See the 
    <A  href="http://www.w3.org/TR/REC-html40/struct/objects.html#adef-align-IMG">align attribute definition</A>
 in HTML 4.0. This attribute is deprecated in HTML 4.0.
  
</P>
</TD>
</TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-alt><CODE>&nbsp;alt</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getAlt()'>getAlt</a>
<a href='#setAlt(java.lang.String)'>setAlt</a>
</TD>
<TD>
  <P>Alternate text for user agents not rendering the normal content of this element. See the 
    <A  href="http://www.w3.org/TR/REC-html40/struct/objects.html#adef-alt">alt attribute definition</A>
 in HTML 4.0. This attribute is deprecated in HTML 4.0.
  
</P>
</TD>
</TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-archive><CODE>&nbsp;archive</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getArchive()'>getArchive</a>
<a href='#setArchive(java.lang.String)'>setArchive</a>
</TD>
<TD>
  <P>Comma-separated archive list. See the 
    <A  href="http://www.w3.org/TR/REC-html40/struct/objects.html#adef-archive-APPLET">archive attribute definition</A>
 in HTML 4.0. This attribute is deprecated in HTML 4.0.
  
</P>
</TD>
</TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-code><CODE>&nbsp;code</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getCode()'>getCode</a>
<a href='#setCode(java.lang.String)'>setCode</a>
</TD>
<TD>
  <P>Applet class file. See the 
    <A  href="http://www.w3.org/TR/REC-html40/struct/objects.html#adef-code">code attribute definition</A>
 in HTML 4.0. This attribute is deprecated in HTML 4.0.
  
</P>
</TD>
</TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-codeBase><CODE>&nbsp;codeBase</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getCodeBase()'>getCodeBase</a>
<a href='#setCodeBase(java.lang.String)'>setCodeBase</a>
</TD>
<TD>
  <P>Optional base URI for applet. See the 
    <A  href="http://www.w3.org/TR/REC-html40/struct/objects.html#adef-codebase-APPLET">codebase attribute definition</A>
 in HTML 4.0. This attribute is deprecated in HTML 4.0.
  
</P>
</TD>
</TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-height><CODE>&nbsp;height</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getHeight()'>getHeight</a>
<a href='#setHeight(java.lang.String)'>setHeight</a>
</TD>
<TD>
  <P>Override height. See the 
    <A  href="http://www.w3.org/TR/REC-html40/struct/objects.html#adef-height-APPLET">height attribute definition</A>
 in HTML 4.0. This attribute is deprecated in HTML 4.0.
  
</P>
</TD>
</TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-hspace><CODE>&nbsp;hspace</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getHspace()'>getHspace</a>
<a href='#setHspace(java.lang.String)'>setHspace</a>
</TD>
<TD>
  <P>Horizontal space to the left and right of this image, applet, or object. See the 
    <A  href="http://www.w3.org/TR/REC-html40/struct/objects.html#adef-hspace">hspace attribute definition</A>
 in HTML 4.0. This attribute is deprecated in HTML 4.0.
  
</P>
</TD>
</TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-name><CODE>&nbsp;name</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getName()'>getName</a>
<a href='#setName(java.lang.String)'>setName</a>
</TD>
<TD>
  <P>The name of the applet. See the 
    <A  href="http://www.w3.org/TR/REC-html40/struct/objects.html#adef-name-APPLET">name attribute definition</A>
 in HTML 4.0. This attribute is deprecated in HTML 4.0.
  
</P>
</TD>
</TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-object><CODE>&nbsp;object</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getObject()'>getObject</a>
<a href='#setObject(java.lang.String)'>setObject</a>
</TD>
<TD>
  <P>Serialized applet file. See the 
    <A  href="http://www.w3.org/TR/REC-html40/struct/objects.html#adef-object">object attribute definition</A>
 in HTML 4.0. This attribute is deprecated in HTML 4.0.
  
</P>
</TD>
</TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-vspace><CODE>&nbsp;vspace</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getVspace()'>getVspace</a>
<a href='#setVspace(java.lang.String)'>setVspace</a>
</TD>
<TD>
  <P>Vertical space above and below this image, applet, or object. See the 
    <A  href="http://www.w3.org/TR/REC-html40/struct/objects.html#adef-vspace">vspace attribute definition</A>
 in HTML 4.0. This attribute is deprecated in HTML 4.0.
  
</P>
</TD>
</TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-width><CODE>&nbsp;width</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getWidth()'>getWidth</a>
<a href='#setWidth(java.lang.String)'>setWidth</a>
</TD>
<TD>
  <P>Override width. See the 
    <A  href="http://www.w3.org/TR/REC-html40/struct/objects.html#adef-width-APPLET">width attribute definition</A>
 in HTML 4.0. This attribute is deprecated in HTML 4.0.
  
</P>
</TD>
</TR>
</TABLE>
&nbsp;
*/
public interface HTMLAppletElement
extends HTMLElement
{
	/** Assigns the value of the <code><a href=#att-align>align</a></code> property.
	 */
	void setAlign (String align);

	/**
	 * Returns the value of the <code><a href=#att-align>align</a></code> property.
	*/
	String getAlign ();


	/** Assigns the value of the <code><a href=#att-alt>alt</a></code> property.
	 */
	void setAlt (String alt);

	/**
	 * Returns the value of the <code><a href=#att-alt>alt</a></code> property.
	*/
	String getAlt ();


	/** Assigns the value of the <code><a href=#att-archive>archive</a></code> property.
	 */
	void setArchive (String archive);

	/**
	 * Returns the value of the <code><a href=#att-archive>archive</a></code> property.
	*/
	String getArchive ();


	/** Assigns the value of the <code><a href=#att-code>code</a></code> property.
	 */
	void setCode (String code);

	/**
	 * Returns the value of the <code><a href=#att-code>code</a></code> property.
	*/
	String getCode ();


	/** Assigns the value of the <code><a href=#att-codeBase>codeBase</a></code> property.
	 */
	void setCodeBase (String codeBase);

	/**
	 * Returns the value of the <code><a href=#att-codeBase>codeBase</a></code> property.
	*/
	String getCodeBase ();


	/** Assigns the value of the <code><a href=#att-height>height</a></code> property.
	 */
	void setHeight (String height);

	/**
	 * Returns the value of the <code><a href=#att-height>height</a></code> property.
	*/
	String getHeight ();


	/** Assigns the value of the <code><a href=#att-hspace>hspace</a></code> property.
	 */
	void setHspace (String hspace);

	/**
	 * Returns the value of the <code><a href=#att-hspace>hspace</a></code> property.
	*/
	String getHspace ();


	/** Assigns the value of the <code><a href=#att-name>name</a></code> property.
	 */
	void setName (String name);

	/**
	 * Returns the value of the <code><a href=#att-name>name</a></code> property.
	*/
	String getName ();


	/** Assigns the value of the <code><a href=#att-object>object</a></code> property.
	 */
	void setObject (String object);

	/**
	 * Returns the value of the <code><a href=#att-object>object</a></code> property.
	*/
	String getObject ();


	/** Assigns the value of the <code><a href=#att-vspace>vspace</a></code> property.
	 */
	void setVspace (String vspace);

	/**
	 * Returns the value of the <code><a href=#att-vspace>vspace</a></code> property.
	*/
	String getVspace ();


	/** Assigns the value of the <code><a href=#att-width>width</a></code> property.
	 */
	void setWidth (String width);

	/**
	 * Returns the value of the <code><a href=#att-width>width</a></code> property.
	*/
	String getWidth ();


}
