// Copyright (c) 1998 by W3C
//
// DOM is a trademark of W3C
// The DOM level 1 specification, from which this
// source is derived, is copyright by W3C.
// See: http://www.w3.org/TR/REC-DOM-Level-1/
//

package org.w3c.dom.html;

import org.w3c.dom.*;

/**

  <P>Force a line break. See the 
    <A  href="http://www.w3.org/TR/REC-html40/struct/text.html#edef-BR">BR element definition</A>
 in HTML 4.0.
  
</P>

<HR>

<!-- ======== PROPERTY SUMMARY ======== -->

<A NAME="property_summary"><!-- --></A>
<TABLE BORDER=1 CELLPADDING=3 CELLSPACING=0 WIDTH=100%>
<TR BGCOLOR=#CCCCFF ID=TableHeadingColor>
<TD COLSPAN=3><FONT SIZE=+2><B>Property Summary</B>
</FONT></TD></TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-clear><CODE>&nbsp;clear</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getClear()'>getClear</a>
<a href='#setClear(java.lang.String)'>setClear</a>
</TD>
<TD>
  <P>Control flow of text around floats. See the 
    <A  href="http://www.w3.org/TR/REC-html40/present/graphics.html#adef-clear">clear attribute definition</A>
 in HTML 4.0. This attribute is deprecated in HTML 4.0.
  
</P>
</TD>
</TR>
</TABLE>
&nbsp;
*/
public interface HTMLBRElement
extends HTMLElement
{
	/** Assigns the value of the <code><a href=#att-clear>clear</a></code> property.
	 */
	void setClear (String clear);

	/**
	 * Returns the value of the <code><a href=#att-clear>clear</a></code> property.
	*/
	String getClear ();


}
